/*
    Copyright (c) 2007 SIEGE Development Team
    All rights reserved.
    
    This file is part of libSIEGE.
    
    This software is copyrighted work licensed under the terms of the
    2-clause BSD license. Please consult the file "license.txt" for
    details.
    
    If you did not recieve the file with this program, please email
    Tim Chas <darkuranium@gmail.com>.
*/

#include "graphics.h"
#include "draw.h"
#include "font.h"
#include "sprite.h"
#include "surface.h"
#include "texture.h"
#include "trail.h"
#include "turtle.h"
#include "viewport.h"

static PyMethodDef GraphicsMethods[] = {
    {NULL, NULL, 0, NULL}
};

void sgpyInitGraphics(PyObject* parent)
{
    PyObject* graphics = Py_InitModule("siege.graphics", GraphicsMethods);
    if(parent != NULL)
        PyModule_AddObject(parent, "graphics", graphics);

    sgpyInitGraphicsDraw(graphics);
    sgpyInitGraphicsFont(graphics);
    sgpyInitGraphicsSprite(graphics);
    sgpyInitGraphicsSurface(graphics);
    sgpyInitGraphicsTexture(graphics);
    sgpyInitGraphicsTrail(graphics);
    sgpyInitGraphicsTurtle(graphics);
    sgpyInitGraphicsViewport(graphics);
}
